


#if defined(__AVR_ATmega88__) || defined(__AVR_ATmega88P__)	|| defined(__AVR_ATmega88A__)	// Polskie znaki niedostepna dla Mega88
#else
 #define	CHAR_PL				// Uzycie wlacza polskie znaki (kod wynikowy + 294 bajty)
#endif


//#define	LCDLINE	2			// Liczba wierszy (jako zmienna w "lcd.c")
//#define	LCDROW	16			// Liczba kolumn (jako zmienna w "lcd.c")



//-------------------------- LCD ----------------------------------//
#define	LcdRSddr	DDRB  |=  (1<<PB6)
#define	LcdRSset	PORTB |=  (1<<PB6)
#define	LcdRSclr	PORTB &= ~(1<<PB6)

#define	LcdEddr		DDRB  |=  (1<<PB7)
#define	LcdEset		PORTB |=  (1<<PB7)
#define	LcdEclr		PORTB &= ~(1<<PB7)

#define	LcdD4ddr	DDRB  |=  (1<<PB0)
#define	LcdD4set	PORTB |=  (1<<PB0)
#define	LcdD4clr	PORTB &= ~(1<<PB0)

#define	LcdD5ddr	DDRB  |=  (1<<PB1)
#define	LcdD5set	PORTB |=  (1<<PB1)
#define	LcdD5clr	PORTB &= ~(1<<PB1)

#define	LcdD6ddr	DDRB  |=  (1<<PB2)
#define	LcdD6set	PORTB |=  (1<<PB2)
#define	LcdD6clr	PORTB &= ~(1<<PB2)

#define	LcdD7ddr	DDRB  |=  (1<<PB4)
#define	LcdD7set	PORTB |=  (1<<PB4)
#define	LcdD7clr	PORTB &= ~(1<<PB4)



#ifdef	CHAR_PL
#ifndef	ZNAKIPL
#define	ZNAKIPL
CODE uchar znaki_pl [] =
	{
	0x00,	//db    0 0000b			; $00 - 
	0x00,	//db    0 0000b
	0x0E,	//db    0 1110b
	0x01,	//db    0 0001b
	0x0F,	//db    0 1111b
	0x11,	//db    1 0001b
	0x0F,	//db    0 1111b
	0x02,	//db    0 0010b

	0x00,	//db    0 0000b			; $02 - 
	0x00,	//db    0 0000b
	0x0E,	//db    0 1110b
	0x11,	//db    1 0001b
	0x1F,	//db    1 1111b
	0x10,	//db    1 0000b
	0x0E,	//db    0 1110b
	0x02,	//db    0 0010b

	0x02,	//db    0 0010b			; $01 - 
	0x04,	//db    0 0100b
	0x0E,	//db    0 1110b
	0x10,	//db    1 0000b
	0x10,	//db    1 0000b
	0x11,	//db    1 0001b
	0x0E,	//db    0 1110b
	0x00,	//db    0 0000b

	0x18,	//db    0 1100b			; $03 - 
	0x04,	//db    0 0100b
	0x06,	//db    0 0110b
	0x04,	//db    0 0100b
	0x18,	//db    0 1100b
	0x04,	//db    0 0100b
	0x0E,	//db    0 1110b
	0x00,	//db    0 0000b

	0x02,	//db    0 0010b			; $04 - 
	0x04,	//db    0 0100b
	0x16,	//db    1 0110b
	0x19,	//db    1 1001b
	0x11,	//db    1 0001b
	0x11,	//db    1 0001b
	0x11,	//db    1 0001b
	0x00,	//db    0 0000b

	0x02,	//db    0 0010b			; $05 - 
	0x04,	//db    0 0100b
	0x0E,	//db    0 1110b
	0x11,	//db    1 0001b
	0x11,	//db    1 0001b
	0x11,	//db    1 0001b
	0x0E,	//db    0 1110b
	0x00,	//db    0 0000b

/*
	0x02,	//db    0 0010b			; $06 - 
	0x04,	//db    0 0100b
	0x0E,	//db    0 1110b
	0x10,	//db    1 0000b
	0x0E,	//db    0 1110b
	0x01,	//db    0 0001b
	0x1E,	//db    1 1110b
	0x00,	//db    0 0000b
*/
	0x0C, 0x12, 0x12, 0x0C, 0x00, 0x00, 0x00, 0x00,		// znak stopnia


/*
	0x06,	//db    0 0110b			; 07 - 
	0x00,	//db    0 0000b
	0x1F,	//db    1 1111b
	0x02,	//db    0 0010b
	0x04,	//db    0 0100b
	0x08,	//db    0 1000b
	0x1F,	//db    1 1111b
	0x00,	//db    0 0000b
*/
	0x00, 0x00, 0x0E, 0x11, 0x11, 0x0A, 0x1B, 0x00,		// ohm

//	0x00,	//db    0 0000b			; $07 - 
//	0x00,	//db    0 0000b
//	0x1F,	//db    1 1111b
//	0x02,	//db    0 0010b
//	0x0E,	//db    0 1110b
//	0x08,	//db    0 1000b
//	0x1F,	//db    1 1111b
//	0x00,	//db    0 0000b

	0	};
#endif
#endif


